# language: fr
@webdelib @recette @paramétrage @javascript
Fonctionnalité: 019 - Paramétrage des Informations supplémentaires de séance

Contexte:
    Etant donné que je suis connecté avec l'utilisateur "admin"
        Et que je vais dans le menu "Administration > Informations sup. > Séance"
    Alors je devrais voir un titre contenant "Informations supplémentaires de séance"

Scénario: 001 - Ajout de l'information supplémentaire de séance "Adresse séance"
    Lorsque je suis "Ajouter une information supplémentaire"
        Alors je devrais voir le titre "Ajout d'une information supplémentaire de séance"
    Lorsque je remplis "Nom" avec "Adresse séance"
        Et que je remplis "Code" avec "varAutoAdresse"
        Et que je sélectionne "Texte" depuis "selectTypeInfoSup"
        Et que je coche "Joindre à la fusion"
        Et que je coche "information active"
        Et que je sélectionne "Administrateur" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Assemblées" depuis "ProfilProfil"
        Et que je presse "Enregistrer"
    Alors je devrais voir "L'information supplémentaire 'Adresse séance' a été ajoutée"
        Et je vois la ligne "Adresse séance | | varAutoAdresse | Texte | Non | Oui"

Scénario: 002 - Ajout de l'information supplémentaire de séance "Introduction séance"
    Lorsque je suis "Ajouter une information supplémentaire"
        Alors je devrais voir le titre "Ajout d'une information supplémentaire de séance"
    Lorsque je remplis "Nom" avec "Introduction séance"
        Et que je remplis "Code" avec "varAutoIntro"
        Et que je sélectionne "Texte enrichi" depuis "selectTypeInfoSup"
        Et que je coche "Joindre à la fusion"
        Et que je coche "information active"
        Et que je sélectionne "Administrateur" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Assemblées" depuis "ProfilProfil"
        Et que je presse "Enregistrer"
    Alors je devrais voir "L'information supplémentaire 'Introduction séance' a été ajoutée"
        Et je vois la ligne "Introduction séance | | varAutoIntro | Texte enrichi | Non | Oui"

Scénario: 003 - Ajout de l'information supplémentaire de séance "Reportée"
    Lorsque je suis "Ajouter une information supplémentaire"
        Alors je devrais voir le titre "Ajout d'une information supplémentaire de séance"
    Lorsque je remplis "Nom" avec "Reportée"
        Et que je remplis "Code" avec "varAutoReportee"
        Et que je sélectionne "Booléen" depuis "selectTypeInfoSup"
        Et que je sélectionne "Décoché" depuis "InfosupdefValInitialeBoolean"
        Et que je coche "Joindre à la fusion"
        Et que je coche "information active"
        Et que je sélectionne "Administrateur" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Assemblées" depuis "ProfilProfil"
        Et que je presse "Enregistrer"
    Alors je devrais voir "L'information supplémentaire 'Reportée' a été ajoutée"
        Et je vois la ligne "Reportée | | varAutoReportee | Booléen | Non | Oui"

Scénario: 004 - Ajout de l'information supplémentaire de séance "Date de report"
    Lorsque je suis "Ajouter une information supplémentaire"
        Alors je devrais voir le titre "Ajout d'une information supplémentaire de séance"
    Lorsque je remplis "Nom" avec "Date de report"
        Et que je remplis "Code" avec "varAutoReport"
        Et que je sélectionne "Date" depuis "selectTypeInfoSup"
        Et que je coche "Joindre à la fusion"
        Et que je coche "information active"
        Et que je sélectionne "Administrateur" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Assemblées" depuis "ProfilProfil"
        Et que je presse "Enregistrer"
    Alors je devrais voir "L'information supplémentaire 'Date de report' a été ajoutée"
        Et je vois la ligne "Date de report | | varAutoReport | Date | Non | Oui"

Scénario: 005 - Ajout de l'information supplémentaire de séance "Fichier annexe"
    Lorsque je suis "Ajouter une information supplémentaire"
        Alors je devrais voir le titre "Ajout d'une information supplémentaire de séance"
    Lorsque je remplis "Nom" avec "Fichier annexe"
        Et que je remplis "Code" avec "varAutoFichierSeance"
        Et que je sélectionne "Fichier" depuis "selectTypeInfoSup"
        Et que je sélectionne "pdf, Acrobat PDF (application/pdf)" depuis "InfosupdefTypemime"
        Et que je coche "Joindre à la fusion"
        Et que je coche "information active"
        Et que je sélectionne "Administrateur" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Rédacteurs" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Valideurs" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Assemblées" depuis "ProfilProfil"
        Et que je presse "Enregistrer"
    Alors je devrais voir "L'information supplémentaire 'Fichier annexe' a été ajoutée"
        Et je vois la ligne "Fichier annexe | | varAutoFichierSeance | Fichier | Non | Oui"

Scénario: 006 - Ajout de l'information supplémentaire de séance "Fichier annexe ODT"
    Lorsque je suis "Ajouter une information supplémentaire"
        Alors je devrais voir le titre "Ajout d'une information supplémentaire de séance"
    Lorsque je remplis "Nom" avec "Fichier annexe ODT"
        Et que je remplis "Code" avec "varAutoFichierSeanceODT"
        Et que je sélectionne "Fichier ODT" depuis "selectTypeInfoSup"
        Et que je coche "Joindre à la fusion"
        Et que je coche "information active"
        Et que je sélectionne "Administrateur" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Rédacteurs" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Valideurs" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Assemblées" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Admin fonctionnel" depuis "ProfilProfil"
        Et que je presse "Enregistrer"
    Alors je devrais voir "L'information supplémentaire 'Fichier annexe ODT' a été ajoutée"
        Et je vois la ligne "Fichier annexe ODT | | varAutoFichierSeanceODT | Fichier ODT | Non | Oui"

Scénario: 007 - Ajout de l'information supplémentaire de séance "Salle de séance"
    Lorsque je suis "Ajouter une information supplémentaire"
        Alors je devrais voir le titre "Ajout d'une information supplémentaire de séance"
    Lorsque je remplis "Nom" avec "Salle de séance"
        Et que je remplis "Code" avec "varAutoSalle"
        Et que je sélectionne "Liste" depuis "selectTypeInfoSup"
        Et que je coche "Joindre à la fusion"
        Et que je coche "information active"
        Et que je sélectionne "Administrateur" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Assemblées" depuis "ProfilProfil"
        Et que je presse "Enregistrer"
    Alors je devrais voir "L'information supplémentaire 'Salle de séance' a été ajoutée"
        Et je vois la ligne "Salle de séance | | varAutoSalle | Liste | Non | Oui"

Scénario: 008 - Ajout de la liste des valeurs pour "Salle de séance"
    Lorsque je clique sur "Liste" dans la ligne "Salle de séance"
        Alors je devrais voir le titre "Liste : Salle de séance"
    Lorsque je suis "Ajouter un élément"
        Et que je remplis "Nom" avec "Salle Gaston Leroux"
        Et que je coche "élément actif"
        Et que je presse "Enregistrer"
    Alors je devrais voir "L'élément \"Salle Gaston Leroux\" a été ajouté"
        Et je vois la ligne "1 | Salle Gaston Leroux | Oui"
    Lorsque je suis "Ajouter un élément"
        Et que je remplis "Nom" avec "Salle Maurice Leblanc"
        Et que je coche "élément actif"
        Et que je presse "Enregistrer"
    Alors je devrais voir "L'élément \"Salle Maurice Leblanc\" a été ajouté"
        Et je vois la ligne "2 | Salle Maurice Leblanc | Oui"
    Lorsque je suis "Ajouter un élément"
        Et que je remplis "Nom" avec "Salle Guy de Maupassant"
        Et que je coche "élément actif"
        Et que je presse "Enregistrer"
    Alors je devrais voir "L'élément \"Salle Guy de Maupassant\" a été ajouté"
        Et je vois la ligne "3 | Salle Guy de Maupassant | Oui"

Scénario: 009 - Ajout de l'information supplémentaire de séance "Invités"
    Lorsque je suis "Ajouter une information supplémentaire"
        Alors je devrais voir le titre "Ajout d'une information supplémentaire de séance"
    Lorsque je remplis "Nom" avec "Invités"
        Et que je remplis "Code" avec "varAutoInvites"
        Et que je sélectionne "Liste à choix multiple" depuis "selectTypeInfoSup"
        Et que je coche "Joindre à la fusion"
        Et que je coche "information active"
        Et que je sélectionne "Administrateur" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Assemblées" depuis "ProfilProfil"
        Et que je presse "Enregistrer"
    Alors je devrais voir "L'information supplémentaire 'Invités' a été ajoutée"
        Et je vois la ligne "Invités | | varAutoInvites | Liste à choix multiple | Non | Oui"

Scénario: 010 - Ajout de la liste des valeurs pour "Invités"
    Lorsque je clique sur "Liste" dans la ligne "Invités"
        Alors je devrais voir le titre "Liste : Invités"
    Lorsque je suis "Ajouter un élément"
        Et que je remplis "Nom" avec "Syndicat"
        Et que je coche "élément actif"
        Et que je presse "Enregistrer"
    Alors je devrais voir "L'élément \"Syndicat\" a été ajouté"
        Et je vois la ligne "1 | Syndicat | Oui"
    Lorsque je suis "Ajouter un élément"
        Et que je remplis "Nom" avec "Journal A"
        Et que je coche "élément actif"
        Et que je presse "Enregistrer"
    Alors je devrais voir "L'élément \"Journal A\" a été ajouté"
        Et je vois la ligne "2 | Journal A | Oui"
    Lorsque je suis "Ajouter un élément"
        Et que je remplis "Nom" avec "Journal B"
        Et que je coche "élément actif"
        Et que je presse "Enregistrer"
    Alors je devrais voir "L'élément \"Journal B\" a été ajouté"
        Et je vois la ligne "3 | Journal B | Oui"
    Lorsque je suis "Ajouter un élément"
        Et que je remplis "Nom" avec "Journal C"
        Et que je coche "élément actif"
        Et que je presse "Enregistrer"
    Alors je devrais voir "L'élément \"Journal C\" a été ajouté"
        Et je vois la ligne "4 | Journal C | Oui"
    Lorsque je suis "Ajouter un élément"
        Et que je remplis "Nom" avec "Agglomération"
        Et que je coche "élément actif"
        Et que je presse "Enregistrer"
    Alors je devrais voir "L'élément \"Agglomération\" a été ajouté"
        Et je vois la ligne "5 | Agglomération | Oui"